package com.cisdi.data.caliper.gateway;

import com.cisdi.data.sdk.gateway.base.PulledSocketGatewayBase;
import com.cisdi.data.sdk.param.PullSocketParam;
import com.cisdi.data.sdk.service.ServiceProvider;
import lombok.Getter;
import lombok.Setter;

import java.util.concurrent.atomic.AtomicBoolean;

@Setter
@Getter
public class CaliperTaskStartVo {

    private AtomicBoolean shouldRun;
    private ServiceProvider serviceProvider;
    private String deviceId;
    private PulledSocketGatewayBase gatewayBase;
    private PullSocketParam socketParam;
    private CaliperCustomParam customParam;
    private CaliperDaemonTask caliperDaemonTask;
}
